%global pypi_name service-identity
%global srcname service_identity

%bcond_without check

Name:           python-%{pypi_name}
Version:        24.2.0
Release:        %mkrel 1
Summary:        Service identity verification for pyOpenSSL
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/service-identity/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pyopenssl)
BuildRequires:  python3dist(idna)
%endif

%description
Service Identity Verification for pyOpenSSL

Use this package if you use pyOpenSSL and don’t want to be MITMed.

service_identity aspires to give you all the tools you need for verifying
whether a certificate is valid for the intended purposes.

In the simplest case, this means host name verification. However,
service_identity implements RFC 6125 fully and plans to add other relevant RFCs
too.

%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
Service Identity Verification for pyOpenSSL

Use this package if you use pyOpenSSL and don’t want to be MITMed.

service_identity aspires to give you all the tools you need for verifying
whether a certificate is valid for the intended purposes.

In the simplest case, this means host name verification. However,
service_identity implements RFC 6125 fully and plans to add other relevant RFCs
too.

%pyproject_extras_subpkg -n python3-%{pypi_name} idna

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x tests}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md CHANGELOG.md


%changelog
* Sat Mar 01 2025 daviddavid <daviddavid> 24.2.0-1.mga10
+ Revision: 2154166
- new version: 24.2.0
- rebuild for python 3.13

* Sun Jan 21 2024 wally <wally> 24.1.0-1.mga10
+ Revision: 2033285
- new version 24.1.0
- use pyproject rpm macros

* Wed Dec 20 2023 tv <tv> 21.1.0-5.mga10
+ Revision: 2020304
- Rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 21.1.0-4.mga9
+ Revision: 1822393
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 21.1.0-3.mga9
+ Revision: 1773463
- Rebuild for python-3.10

* Sun Feb 06 2022 wally <wally> 21.1.0-2.mga9
+ Revision: 1772479
- rebuild for python3.10

* Thu Sep 02 2021 wally <wally> 21.1.0-1.mga9
+ Revision: 1744116
- new version 21.1.0

* Sat Mar 20 2021 guillomovitch <guillomovitch> 18.1.0-4.mga9
+ Revision: 1705899
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 18.1.0-3.mga8
+ Revision: 1530718
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 wally <wally> 18.1.0-2.mga8
+ Revision: 1437347
- rebuild for python3.8
- drop python2 support

* Sat Apr 20 2019 wally <wally> 18.1.0-1.mga7
+ Revision: 1393857
- new version 18.1.0

* Mon Jan 07 2019 wally <wally> 16.0.0-4.mga7
+ Revision: 1350921
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 16.0.0-3.mga7
+ Revision: 1290019
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 16.0.0-2.mga7
+ Revision: 1135629
- Rebuild for python 3.6

* Sun Feb 28 2016 philippem <philippem> 16.0.0-1.mga6
+ Revision: 980211
- update to 16.0.0

* Sat Feb 20 2016 umeabot <umeabot> 14.0.0-2.mga6
+ Revision: 971947
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 philippem <philippem> 14.0.0-1.mga6
+ Revision: 893670
- imported package python-service-identity

